/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.statistics;

import de.intevation.gnv.geobackend.base.Result;
import de.intevation.gnv.geobackend.base.ResultDescriptor;

import java.sql.SQLException;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class VerticalProfileVectorStatistics
extends      VectorStatistics
{
    public VerticalProfileVectorStatistics() {
    }


    protected void clear() {
        // nothing to clear
    }


    protected int getValueIdx(ResultDescriptor rd) {
        return rd.getColumnIndex("YORDINATE");
    }


    protected double calculateXOrdinateValue(Result prev, Result row)
    throws SQLException
    {
        return row.getDouble("XORDINATE");
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
